<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:p="http://primefaces.org/ui">
    <ui:composition>
        <f:facet name="header">
            <h:graphicImage name="images/accepted.png" 
                            rendered="#{uiBean.uiDispositif.dispositifStepIsValid}" />
            <h:outputText value="#{titleForDispositifsAccordionItem}" />
        </f:facet>
        <h:outputText
            rendered="#{not uiBean.uiDispositif.dispositifStepIsValid}"
            value="#{dispAccordionItem.PARAM_MSG_WARNING}" />
        <p:dataList value="#{uiBean.uiDispositif.dispositifs.entrySet()}"
                    var="dispositif" type="definition"
                    rendered="#{uiBean.uiDispositif.dispositifStepIsValid}"> 
            <p:commandLink actionListener="#{uiBean.uiDispositif.selectDispositif(dispositif.key)}"
                           process="@this"
                           oncomplete="updateTreenodes()" >
                <h:outputText value="#{dispositif.value.localizedAffichage}" />
                <p:graphicImage name="images/remove_selection.png"  styleClass="buttonAction" />
            </p:commandLink>
        </p:dataList>

    </ui:composition>
</html>